Knowledge Base - Technical Articles


Technical Article   FAQ:  Can Python be upgraded to 2.5 or higher with ArcGIS 9.2?

Article ID: 31912
Software:  ArcGIS - ArcEditor 9.2 ArcGIS - ArcInfo 9.2 ArcGIS - ArcView 9.2
Platforms:  Windows 2000, XP, 2003Server

Question

Can Python be upgraded to 2.5 or higher with ArcGIS 9.2?

Answer

No. ArcGIS 9.2 is hardwired to work with Python 2.4.1. Using any other version of Python with ArcGIS 9.2 is unsupported by ESRI.

Related Information

  • Are there any issues with Python when upgrading to ArcGIS 9.2?
    This document discusses potential issues with Python and ArcGIS 9.2 and addresses problems that may occur with Python scripts, both user created and embedded, not working after upgrading to ArcGIS 9.2. ArcGIS 9.1 shipped with Python 2.1; ArcGIS 9....

Created: 10/3/2006
Last Modified: 11/24/2009

If you would like to post a comment, please login

Comments

By Anonymous - 01/20/2007 2:13 AM

I would like to see a new article that discusses the topic outlined below.

Please explain in detail the way in which ArcGIS 9.2 is (hard wired) associated with Python 2.4.1. Thanks in advance!